<?php
/*
Plugin Name: body_class_plus
Plugin URI: http://digwp.com/
Description: Extends the functionality of body_class().
Author: Jeff Starr
Version: 0.1
Author URI: http://perishablepress.com/
*/

/* 

USAGE: upload, activate, and place the following wherever in your theme:

<?php if(function_exists('body_class_plus')) { body_class_plus(); } ?>

For further instructions on usage, refer to http://digwp.com/2009/08/wordpress-body-class-plus/

*/

function body_class_plus() { 
	if(function_exists('body_class')) { 
		ob_start(); body_class(); 
		$class = ob_get_contents(); 
		ob_end_clean(); 
		if($class) {
			if(preg_match("/services/i", $class)) { 
				echo 'class="services"';
			} elseif(preg_match("/products/i", $class)) {
				echo 'class="products"';
			} elseif(preg_match("/business/i", $class)) {
				echo 'class="business"';
			} elseif(preg_match("/pleasure/i", $class)) {
				echo 'class="pleasure"';
			} else {
				echo 'class="no-body-class-matches"';
			}
		} else { 
			echo 'class="body-class-not-available"'; 
		} 
	}
}

?>